<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_8695e37b2f8e63ab89c46908290193e" . "c" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlu" . "a3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5k" . "ZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1p" . "bnQ6Ym9va2luZw=="), "_e98bb44779e2719d990b12523648" . "e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0x" . "IEFORCByb29tX2lkID0gaW50Omlk"), "_b3a356a0e2582249702" . "c68be9887158b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50OmlkMiwgM" . "Ck="), "_1044ad6ec3f2b1" . "5d20a3b7353cfb4" . "d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIRVJFIHBp" . "ZD1pbnQ6aWQ="), "_f318226b856b8a65f1826300a" . "281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQgdHlwZT0nc" . "m9vbScgQU5EIGJvb2tpbmc9aW50OmJvb2tpbmc="), "_2acee8448" . "2629451244" . "aab96a0162" . "3cd" => base64_decode("cm9vbQ" . "=="), "_5b81cb6" . "cf0bfd99" . "0583fc12" . "ddd80cd3" . "2" => base64_decode("ZmF" . "j"), "_934da0e4d27867b72605f2f2a82dd" . "ad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGl" . "udDppZDIsIDAp"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2acee8448262" . "9451244aab96a" . "01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8695e37b2f8e63ab89c469082901" . "93ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5b81cb6cf0bfd9905" . "83fc12ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5b81cb6cf0bfd990583fc1" . "2ddd80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b3a356a0e258" . "2249702c68be9" . "887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_934da0e4d27867b72605f2f" . "2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f318226b8" . "56b8a65f18" . "26300a2816" . "17b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e98bb44779e2719d9" . "90b12523648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1044ad6ec3f2b15d2" . "0a3b7353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}